package com.ynet.life.credit.business;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.credit.vo.output.OutBaseVo;
import com.ynet.life.exception.TranFailException;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import org.apache.tools.zip.ZipEntry;
import org.apache.tools.zip.ZipOutputStream;

/* loaded from: com_ynet_life_credit_business.jar:com/ynet/life/credit/business/CreateFileListWithZip.class */
public class CreateFileListWithZip extends BaseApiExcutor<OutBaseVo> {
    private String iCollName;

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    @Override // com.ynet.life.credit.business.BaseApiExcutor
    public String execute(Context context) throws GENEException {
        try {
            IndexedCollection icoll = context.getDataElement(this.iCollName);
            Object[] fileArray = icoll.toArray();
            if (icoll == null || icoll.size() < 0) {
                TranFailException tfe = new TranFailException("400", "下载失败", false);
                context.put("GENEException", tfe);
                throw tfe;
            }
            if (fileArray != null && fileArray.length > 0) {
                List fileList = new ArrayList();
                String str = "";
                for (int i = 0; i < icoll.size(); i++) {
                    KeyedCollection kcoll = icoll.getElementAt(i);
                    String dataString = (String) kcoll.get("outputFilePath");
                    String name = (String) kcoll.get("outputFileName");
                    str = LifeStandard.getSelfDefineSettingsValue("fileRootPath");
                    String filePath = createWord(String.valueOf(str) + dataString, name);
                    File file = new File(filePath);
                    fileList.add(file);
                }
                createZIP(str, fileList);
                return "0";
            }
            return "0";
        } catch (Exception unused) {
            TranFailException tfe2 = new TranFailException("400", "系统找不到指定文件", false);
            context.put("GENEException", tfe2);
            throw tfe2;
        }
    }

    public static String createWord(String filePath, String fileName) throws Exception {
        File outFile = new File(String.valueOf(filePath) + File.separator + fileName);
        if (!outFile.getParentFile().exists()) {
            outFile.getParentFile().mkdirs();
        }
        return String.valueOf(filePath) + File.separator + fileName;
    }

    public static byte[] readInputStream(InputStream inputStream) throws IOException {
        byte[] buffer = new byte[1024];
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        while (true) {
            int len = inputStream.read(buffer);
            if (len != -1) {
                bos.write(buffer, 0, len);
            } else {
                bos.close();
                return bos.toByteArray();
            }
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v14, types: [org.apache.tools.zip.ZipOutputStream] */
    /* JADX WARN: Type inference failed for: r0v15, types: [java.io.FileInputStream] */
    /* JADX WARN: Type inference failed for: r0v6, types: [byte[]] */
    /* JADX WARN: Type inference failed for: r0v7, types: [java.io.IOException] */
    public static void createZIP(String filePath, List<File> files) throws GENEException {
        ?? r0 = new byte[1024];
        try {
            ZipOutputStream out = new ZipOutputStream(new FileOutputStream(String.valueOf(filePath) + File.separator + "项目申报书.zip"));
            out.setEncoding("GBK");
            for (int i = 0; i < files.size(); i++) {
                ?? fileInputStream = new FileInputStream(files.get(i));
                out.putNextEntry(new ZipEntry(files.get(i).getName()));
                while (true) {
                    int len = fileInputStream.read(r0);
                    if (len <= 0) {
                        break;
                    } else {
                        out.write((byte[]) r0, 0, len);
                    }
                }
                out.closeEntry();
                fileInputStream.close();
            }
            r0 = out;
            r0.close();
        } catch (FileNotFoundException e) {
            TranFailException tfe = new TranFailException("400", e.getMessage(), false);
            e.printStackTrace();
            throw tfe;
        } catch (IOException e2) {
            r0.printStackTrace();
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.io.PrintStream] */
    /* JADX WARN: Type inference failed for: r0v2, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v7, types: [java.io.PrintStream] */
    public static void main(String[] args) {
        File file = new File("C:/Users/10235/Desktop/1.txt");
        ?? r0 = System.out;
        r0.println(file);
        try {
            FileOutputStream fos = new FileOutputStream(file);
            fos.write("this is a question".getBytes());
            fos.close();
            r0 = System.out;
            r0.println(fos);
        } catch (Exception e) {
            r0.printStackTrace();
        }
    }
}
